Subject: Re: bug#18235: emacs -nw still depends on libXcursor.so.1

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Aug 2014 21:46:07 -0400

> What you ask for is not possible.

Of course, nothing's impossible.  E.g. We could change Emacs to use dynamic
loading of X libraries (a crap load of work for very little benefit).

But another avenue would be to lobby the GNU/Linux people working on
ld.so so that we can mark some libraries as "not indispensable", in
which case their absence wouldn't cause an error: instead the symbols
would be resolved such that using one of their functions signals
an error.

        Stefan